#http_address="0.0.0.0:4180"
cookie_secret="{{ oauth2_proxy__oidc_cookie_secret }}"
email_domains="*"
cookie_domains="{{ oauth2_proxy__oidc_domain }}"    # Required so cookie can be read on all subdomains.
whitelist_domains="{{ oauth2_proxy__oidc_domain }}" # Required to allow redirection back to original requested target.
reverse_proxy="true"
set_xauthrequest="true"

provider="oidc"
provider_display_name="Keycloak"
client_id="{{ oauth2_proxy__oidc_login_client_id }}"
client_secret="{{ oauth2_proxy__oidc_login_client_secret }}"

# oauth2-proxy is going to visit
# {{ oauth2_proxy__oidc_login_provider_url }}/.well-known/openid-configuration
# for configuration
oidc_issuer_url="{{ oauth2_proxy__oidc_login_provider_url }}"

footer="-"
custom_sign_in_logo="-"
skip_provider_button="true"
